package com.muyu;

import cn.hutool.core.date.DateTime;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import javax.xml.crypto.Data;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Random;
import java.util.TimeZone;

/**
 * @className: SysCarFaultApplication  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/21 11:06 ⏰
 * @Version: 1.0
 * @description: 故障检测
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class SysCarFaultApplication {
    public static void main (String[] args) throws ParseException {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        simpleDateFormat.setTimeZone(TimeZone.getTimeZone("GMT+08"));
        String format = simpleDateFormat.format(new Date());
        System.out.println("故障模块启动成功"+format);
        SpringApplication.run(SysCarFaultApplication.class, args);
    }
}
