package com.muyu.fault.controller;


import com.muyu.common.core.domain.Result;
import com.muyu.fault.service.CarTypeService;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @className: CarTypeController  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 22:06 ⏰
 * @Version: 1.0
 * @description:
 */
@RequestMapping("/cartype")
@RestController
public class CarTypeController {

    @Autowired
    private CarTypeService carTypeService;

    /**
     * 车辆类型
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "车辆类型",description = "车辆类型信息")
    public Result carTypeList(){
        return Result.success(carTypeService.selectcarType());
    }
}
