package com.muyu.fault.controller;
import com.muyu.common.core.domain.Result;
import com.muyu.fault.domain.req.FaultLogListReq;
import com.muyu.fault.service.FaultLogService;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description:
 */
@RestController
@RequestMapping("/faultlog")
public class FaultLogController {
    @Autowired
    private FaultLogService faultLogService;


    /**
     * 故障日志列表
     * @param faultLogListReq
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "故障日志列表",description = "故障日志列表展示")
    public Result selectfaultlog(@Validated @RequestBody FaultLogListReq faultLogListReq){
        return Result.success(faultLogService.selectfaultlog(faultLogListReq));
    }
}
