package com.muyu.fault.controller;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测
 */
import com.muyu.common.core.domain.Result;
import com.muyu.fault.service.FaultTypeService;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 故障码分类
 */
@RestController
@RequestMapping("/faulttype")
public class FaultTypeController {

    @Autowired
    private FaultTypeService faultTypeService;


    /**
     * 故障码分类查询
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "故障码分类查询",description = "故障码分类信息")
    public Result findfaulttype(){
        return Result.success(faultTypeService.select());
    }
}
