package com.muyu.fault.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @className: FaultRule  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:05 ⏰
 * @Version: 1.0
 * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_fault_condition",autoResultMap = true)
public class FaultRule {
    /**
     * 触发条件Id
     */
    private long conditionId;

    /**
     * 故障码Id
     */
    private long faultcodeId;

    /**
     * 触发条件描述
     */
    private String conditionContent;

    /**
     * 单个参数的阈值
     */
    private BigDecimal singleThreshold;

    /**
     * 区间参数的阈值的最小值
     */
    private BigDecimal minThreshold;

    /**
     * 区间参数的阈值的最大值
     */
    private BigDecimal maxThreshold;

    /**
     * 触发条件是否激活
     */
    private Integer isActive;

    /**
     * 车辆数据值
     */
    private BigDecimal Threshold;



}

