package com.muyu.fault.domain.message;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @className: Message  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/22 10:55 ⏰
 * @Version: 1.0
 * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_fault_message",autoResultMap = true)
public class Message {
        /**
         * id
         */
        @TableId(value = "id",type = IdType.AUTO)
        private long id;

        /**
         * 发送者
         */
        private String sender;

        /**
         * 接收者
         */
        private String receiver;

        /**
         * 消息内容
         */
        private String content;

        /**
         * 消息状态
         */
        private Integer status;

        /**
         * 创建时间
         */
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @Excel(description = "消息创建时间",defaultValue = "2024-8-9 10:47:57",type = "Date")
        private Date createTime;
        /**
         * 登录人Id
         */
        private long userId;


}
