package com.muyu.fault.domain.message;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @className: MessageSendReq  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:00 ⏰
 * @Version: 1.0
 * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MessageSendReq {
    /**
     * 发送者
     */
    @TableId(type = IdType.AUTO,value = "id")
    private String sender;
    /**
     * 接收者
     */
    @Excel(name = "接收者")
    private String receiver;

    /**
     * 消息内容
     */
    @Excel(name = "消息内容")
    private String content;
    /**
     * 登录人Id
     */
    @Excel(name = "登录人Id")
    private long userId;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(description = "消息创建时间",defaultValue = "2024-8-9 10:47:57",type = "String")
    private Date createTime;
}
