package com.muyu.fault.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FaultCodeAddReq {

    /**
     *故障名称Id
     */
    private long messageTypeId;
    /**
     * 故障名称
     */
    private String messageTypeName;
    /**
     * 报文编码
     */
    private String messageTypeCode;

    /**
     * 故障码
     */
    private String faultcodeNumber;
    /**
     * 故障分类Id
     */
    private long faulttypeId;
    /**
     * 是否产生报警
     */
    private Integer isWarning;
    /**
     * 故障描述
     */
    private String  faultContent;
    /**
     *故障组
     */
    private String faultGroup;
    /**
     *故障位
     */
    private String faultBit;
    /**
     *故障值
     */
    private String faultValue;
    /**
     *报文所属类别
     */
    private String messageTypeBelongs;


}
