package com.muyu.fault.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FaultConditionAddReq {
    /**
     * 故障规则表Id
     */
    private long carconditionId;
    /**
     * 车辆类型Id
     */
    private long carTypeId;
   /**
     *故障名称Id
     */
    private long messageTypeId;
    /**
     * 故障条件
     */
    private String faultconditionIdentification;
    /**
     * 故障规则参数
     */
    private BigDecimal faultconditionParameter;

}
