package com.muyu.fault.domain.req;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */
@Tag(name = "故障规则列表请求对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FaultConditionListReq {


    /**
     * 车辆类型Id
     */
    private long carTypeId;
   /**
     *故障名称Id
     */
    private long messageTypeId;
    /**
     * 页码，从1开始
     */
    private Integer pageNum=1;
    /**
     * 每页大小
     */
    private Integer pageSize=10;
}
