package com.muyu.fault.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.muyu.fault.domain.FaultCode;

import com.muyu.fault.domain.FaultLabel;
import com.muyu.fault.domain.req.FaultCodeAddReq;
import com.muyu.fault.domain.req.FaultCodeListReq;
import com.muyu.fault.domain.req.FaultCodeUpdReq;
import com.muyu.fault.domain.vo.FaultCodeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @className: FaultCodeMapper  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */
@Mapper
public interface FaultCodeMapper extends BaseMapper<FaultCodeVo> {

    List<FaultCodeVo> selectfaultcodelist(FaultCodeListReq faultCodeListReq);



    //新增故障码
    FaultLabel selectfaultName(@Param("messageTypeName") String messageTypeName);
    FaultCode selectfaultCode(@Param("faultcodeNumber") String faultcodeNumber);
    Integer insertfaultlabel(FaultCodeAddReq faultCodeAddReq);
    Integer insertfaultcode(FaultCodeAddReq faultCodeAddReq);

    //修改故障码
    Integer updfaultlabel(FaultCodeUpdReq faultCodeUpdReq);
    Integer updfaultcode(FaultCodeUpdReq faultCodeUpdReq);



    Integer delfaultcode(@Param("messageTypeId") long messageTypeId);
    Integer delfaultlabel(@Param("messageTypeId") long messageTypeId);
}
