package com.muyu.fault.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.fault.domain.FaultCondition;
import com.muyu.fault.domain.req.FaultConditionAddReq;
import com.muyu.fault.domain.req.FaultConditionListReq;
import com.muyu.fault.domain.resp.FaultConditionTotalListResp;


import java.util.List;

/**
 * @className: FaultConditionService  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */
public interface FaultConditionService extends IService<FaultCondition> {


    /**
     * 故障规则
     * @param faultConditionListReq
     * @return
     */
    FaultConditionTotalListResp getfaultrulelist(FaultConditionListReq faultConditionListReq);

    /**
     * 故障规则添加
     * @param faultConditionAddReq
     * @return
     */
    List<FaultCondition> selectBytypeAndlabel(FaultConditionAddReq faultConditionAddReq);
}
