package com.muyu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.SysCar;
import com.muyu.domain.resp.SysCarResp;

import java.util.List;

/**
 * 车辆基础信息Service接口
 * @author Li HD
 * @date 2024-09-18
 */
public interface SysCarService extends IService<SysCar> {
    /**
     * 精确查询车辆基础信息
     *
     * @param id 车辆基础信息主键
     * @return 车辆基础信息
     */
    public SysCar selectSysCarById(Long id);

    /**
     * 查询车辆基础信息列表
     *
     * @param sysCar 车辆基础信息
     * @return 车辆基础信息集合
     */
    public List<SysCarResp> selectSysCarList(SysCar sysCar);

    /**
     * 判断 车辆基础信息 id是否唯一
     * @param sysCar 车辆基础信息
     * @return 结果
     */
    Boolean checkIdUnique(SysCar sysCar);

}
